常见问题常见问题   搜索搜索   会员列表会员列表   团队团队   注册注册    个人资料个人资料   登录查看您的站内信件登录查看您的站内信件   登录登录 

求教:/usr/ports/www/linux-f10-flashplugin11为什么用ports安装不上啊?

 
发表新文章   回复文章    FreeBSD China -> 初学指南
阅读上一个主题 :: 阅读下一个主题  
作者 留言
jstxpaper
半仙


注册时间: 2015-03-20
文章: 11

文章发表于: Mon 2016-02-15 18:07:28    发表主题: 求教:/usr/ports/www/linux-f10-flashplugin11为什么用ports安装不上啊? 引用并回复

FreeBSD 10.1 i386
===> Found saved configuration for flashplugin-11.2r202.406
===> flashplugin-11.2r202.406 depends on file: /usr/local/sbin/pkg - found
=> install_flash_player_11_linux.i386.tar.gz doesn't seem to exist in /usr/ports/distfiles/flashplugin/11.2r202.406.
=> Attempting to fetch http://fpdownload.macromedia.com/get/flashplayer/pdc/11.2.202.406/install_flash_player_11_linux.i386.tar.gz
fetch: http://fpdownload.macromedia.com/get/flashplayer/pdc/11.2.202.406/install_flash_player_11_linux.i386.tar.gz: Not Found
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/flashplugin/11.2r202.406/install_flash_player_11_linux.i386.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/flashplugin/11.2r202.406/install_flash_player_11_linux.i386.tar.gz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/ports/distfiles/flashplugin/11.2r202.406 and try again.
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/www/linux-f10-flashplugin11
*** Error code 1

Stop.
make: stopped in /usr/ports/www/linux-f10-flashplugin11
=============================================================
我从网上下载install_flash_player_11_linux.i386.tar.gz放入distfile文件夹后再次make install,出现错误如下:
===> Found saved configuration for flashplugin-11.2r202.406
===> flashplugin-11.2r202.406 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by flashplugin-11.2r202.406 for building
===> Extracting for flashplugin-11.2r202.406
=> SHA256 Checksum mismatch for flashplugin/11.2r202.406/install_flash_player_11_linux.i386.tar.gz.
=> SHA256 Checksum OK for flashplugin/11.2r202.406/linux-f10-flashsupport-9.0.1.i386.tar.gz.
===> Refetch for 1 more times files: flashplugin/11.2r202.406/install_flash_player_11_linux.i386.tar.gz
===> Found saved configuration for flashplugin-11.2r202.406
===> flashplugin-11.2r202.406 depends on file: /usr/local/sbin/pkg - found
=> install_flash_player_11_linux.i386.tar.gz doesn't seem to exist in /usr/ports/distfiles/flashplugin/11.2r202.406.
=> Attempting to fetch http://fpdownload.macromedia.com/get/flashplayer/pdc/11.2.202.406/install_flash_player_11_linux.i386.tar.gz
fetch: http://fpdownload.macromedia.com/get/flashplayer/pdc/11.2.202.406/install_flash_player_11_linux.i386.tar.gz: Not Found
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/flashplugin/11.2r202.406/install_flash_player_11_linux.i386.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/flashplugin/11.2r202.406/install_flash_player_11_linux.i386.tar.gz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/ports/distfiles/flashplugin/11.2r202.406 and try again.
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/www/linux-f10-flashplugin11
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/www/linux-f10-flashplugin11
*** Error code 1

Stop.
make: stopped in /usr/ports/www/linux-f10-flashplugin11

哪位能指点一下,我看手册7.2里面介绍的是8.x,有什么办法装上啊
返回页首
阅览会员资料 发送站内信件
alphachi
老妖


注册时间: 2007-12-10
文章: 1263
来自: @tweetxa

文章发表于: Mon 2016-02-15 19:13:24    发表主题: 引用并回复

引用:
===> Extracting for flashplugin-11.2r202.406
=> SHA256 Checksum mismatch for flashplugin/11.2r202.406/install_flash_player_11_linux.i386.tar.gz.
=> SHA256 Checksum OK for flashplugin/11.2r202.406/linux-f10-flashsupport-9.0.1.i386.tar.gz.

你手动下载的包有问题,或者是ports树没有更新导致校验值不匹配。

请先更新ports树,再按照下面链接中的方法安装:
https://www.freebsd.org/doc/en_US.ISO8859-1/books/handbook/desktop-browsers.html

_________________
Paranoid in Sabbath ...
返回页首
阅览会员资料 发送站内信件
jstxpaper
半仙


注册时间: 2015-03-20
文章: 11

文章发表于: Mon 2016-02-15 19:55:12    发表主题: 引用并回复

1. portsnap fetch 自动查找Mirror站,下载ports包。
2. portsnap extract 解压Ports包,默认到/usr/ports,先保证此目录为空。
3. portsnap update 更新ports tree
更新ports后又出错
===> linux_base-c6-6.7 compat.linux.osrelease: 2.6.16 is not supported,
please use 2.6.18, BEWARE this is highly experimental.
*** Error code 1

Stop.
make: stopped in /usr/ports/emulators/linux_base-c6

这和7.2.3中的linux_base-f10是不是差不多呀???

===============================================
7.2.3. Firefox 与 Adobe® Flash® 插件

Adobe® Flash® 插件并没有直接提供其 FreeBSD 版本。 不过, 我们有一个软件层 (wrapper) 可以用来运行 Linux 版本的插件。 这个 wrapper 也支持 Adobe® Acrobat®、 RealPlayer 和很多其他插件。

根据你 FreeBSD 版本的不同选择相应的安装步骤:

FreeBSD 7.X

安装 www/nspluginwrapper port。 这个 port 需要安装一个较大的emulators/linux_base-fc4 port。

下一步是安装 www/linux-flashplugin9 port。 这将会安装 Flash® 9.X, 此版本目前能在 FreeBSD 7.X 上正常运行。
注意:

在比 FreeBSD 7.1-RELEASE 更旧版本的系统上, 你必须安装 www/linux-flashplugin7 并跳过以下 linprocfs(5) 的部份。

FreeBSD 8.X

安装 www/nspluginwrapper port。 这个 port 需要安装一个较大的emulators/linux_base-f10 port。

下一步是安装 www/linux-f10-flashplugin10 port。 这将会安装 Flash® 10.X, 此版本目前能在 FreeBSD 8.X 上正常运行。

这个版本需要创建一个符号链接:

# ln -s /usr/local/lib/npapi/linux-f10-flashplugin/libflashplayer.so \
/usr/local/lib/browser_plugins/

如果系统中没有 /usr/local/lib/browser_plugins 目录, 则应手工创建它。

按照 FreeBSD 版本, 在安装了正确的 Flash® port 之后, 插件必须由每个用户运行 nspluginwrapper 安装:

% nspluginwrapper -v -a -i

如果希望播放 Flash® 动画的话,Linux® 的进程文件系统, linprocfs(5) 必须挂载于 /usr/compat/linux/proc。 可以通过以下的命令实现:

# mount -t linprocfs linproc /usr/compat/linux/proc

这也可以在机器启动时自动挂载, 把以下这行加入 /etc/fstab:

linproc /usr/compat/linux/proc linprocfs rw 0 0

然后就可以打开浏览器, 并在地址栏中输入 about:plugins 然后按下 Enter。 这将显示目前可用的插件列表。
返回页首
阅览会员资料 发送站内信件
jstxpaper
半仙


注册时间: 2015-03-20
文章: 11

文章发表于: Mon 2016-02-15 19:57:07    发表主题: 引用并回复

我手动下载的包是从官网下的,不应该有问题呀
返回页首
阅览会员资料 发送站内信件
jstxpaper
半仙


注册时间: 2015-03-20
文章: 11

文章发表于: Tue 2016-02-16 15:36:16    发表主题: 引用并回复

OK
1 /usr/sbin/portsnap program
2 /etc/portsnap.conf conf file
3 /var/db/portsnap/ download file
4 /usr/ports/ update file

1 portsnap fetch download ports
2 portsnap extract unzip ports to /usr/ports, emtpy directory first
3 portsnap update update ports tree
4 cd /usr/ports/ports-mgmt/pkg
make
make reinstall
pkg2ng
返回页首
阅览会员资料 发送站内信件
从以前的文章开始显示:   
发表新文章   回复文章    FreeBSD China -> 初学指南 论坛时间为 北京时间
1页/共1

 
转跳到:  
不能发布新主题
不能在这个论坛回复主题
不能在这个论坛编辑自己的文章
不能在这个论坛删除自己的文章
不能在这个论坛发表投票


Powered by phpBB 2023cc © 2003 Opensource Steps; © 2003-2009 The FreeBSD Simplified Chinese Project
Powered by phpBB © 2001, 2005 phpBB Group
Protected by Project Honey Pot and phpBB.cc
silvery-trainer
The FreeBSD China Project 网站: 中文计划网站 社区网站
The FreeBSD China Project 版权所有 (C) 1999 - 2003 网页设计版权 著作权和商标